Package pyxmpp :: Package sasl :: Module plain :: Class PlainServerAuthenticator

[hide private]

# Class PlainServerAuthenticator

source code

    core.ServerAuthenticator --+
                               |
                              PlainServerAuthenticator

Provides PLAIN SASL authentication for a server.

Instance Methods | [hide private]

__init__(self, password_manager) Initialize a PlainServerAuthenticator object. | source code

sasl.Challenge, sasl.Success or sasl.Failure

start(self, response) Start the authentication process. | source code

sasl.Challenge, sasl.Success or sasl.Failure

response(self, response) Process a client reponse. | source code

Method Details | [hide private]

### __init__(self, password_manager)
(Constructor)

source code

Initialize a PlainServerAuthenticator object.

Parameters:
  - `password_manager` (: PasswordManager) - : name of the password manager object providing authentication credential verification.
Overrides: core.ServerAuthenticator.__init__

### start(self, response)

source code

Start the authentication process.

Parameters:
  - `response` (: `str`) - : the initial response from the client.
Returns: sasl.Challenge, sasl.Success or sasl.Failure
  a challenge, a success indicator or a failure indicator.
Overrides: core.ServerAuthenticator.start

### response(self, response)

source code

Process a client reponse.

Parameters:
  - `response` (: `str`) - : the response from the client.
Returns: sasl.Challenge, sasl.Success or sasl.Failure
  a challenge, a success indicator or a failure indicator.
Overrides: core.ServerAuthenticator.response